Index: include/pgAdmin3.h
===================================================================
--- include/pgAdmin3.h	(revision 7544)
+++ include/pgAdmin3.h	(working copy)
@@ -49,6 +49,7 @@
 #endif
 
 const float SERVER_MIN_VERSION = 7.3f;
+const short SERVER_MAX_VERSION = 0x0805;//Exclusive
 
 // The registry file
 #ifndef __WXMSW__
Index: schema/pgServer.cpp
===================================================================
--- schema/pgServer.cpp	(revision 7548)
+++ schema/pgServer.cpp	(working copy)
@@ -628,6 +628,9 @@
         dbOid = conn->GetDbOid();
 
         // Check the server version
+        if (conn->BackendMinimumVersion(SERVER_MAX_VERSION >> 8, SERVER_MAX_VERSION & 0x00FF))
+            wxMessageBox(_("Connected to newer database using old version pgAdmin, some function could not run properly.\nUpgrade is recommended."));
+
         if (conn->BackendMinimumVersion(7, 3))
         {
             connected = true;
